/*
 *      Program do przegladania logow z ekg.
 *      Wczytywanie konfiguracji z plikow ekglog.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "config.hh"

config cfg;

void config::set_uin(const std::string &str) {
    int tmp=0;
    try {
	tmp = str2int(str);
    }
    catch(bad_string &e) {
	error_exit("Zy format uin (uin == %s).",str.c_str());
    }

    _uin = tmp;
}
