/*
 *      Program do przegladania logow z ekg.
 *      Klasa podstawowa okna.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "window.hh"

window::window(const char *title, 
	    int width, int height,
	    int margin_top, int margin_bottom, int margin_left, int margin_right,
	    int fg, int bold, int bg)
:_width(width),_height(height),
 _margin_top(margin_top),_margin_bottom(margin_bottom),
 _margin_left(margin_left),_margin_right(margin_right),
 _fg(fg),_bold(bold),_bg(bg),_redraw(true),_act(false)
{
    if(title) _title = title;
}
